# Send MMS Using Template

<mark style="color:green;">`POST`</mark> `https://mmsc.tsgglobal.world/mms/templates/:id/send`

Uses an existing template and sends the MMS.

### **Request body**

| Name                                       | Type             | Description                                                                                            |
| ------------------------------------------ | ---------------- | ------------------------------------------------------------------------------------------------------ |
| `data.type`                                | string           | Must be `"mms-template-send-req"`                                                                      |
| `data.attributes.from`                     | string           | **Required.** Sender number (E.164)                                                                    |
| `data.attributes.to`                       | array of strings | **Required.** Recipient numbers (E.164)                                                                |
| `data.attributes.params`                   | object           | **Required.** Key-value map of placeholder values. Must match all placeholders defined in the template |
| `data.attributes.transaction_id`           | string           | Optional. Client-provided transaction identifier                                                       |
| `data.attributes.request_delivery_reports` | boolean          | Optional. Requesting DLR for the message to be sent to you. Defaults to false. Default: `false`        |
| `data.attributes.metadata`                 | object           | Optional. Additional metadata (default: `{}`)                                                          |

### Example

#### Example request

```json
{
  "data": {
    "type": "mms-template-send-req",
    "attributes": {
      "from": "18003004001",
      "to": ["17818434375"],
      "params": {
        "name": "Jane",
        "company": "TSG"
      }
    }
  }
}
```

#### Example response

```json
{
  "data": {
    "attributes": {
      "messages": [
        {
          "to": "17818434375",
          "message_id": "035273d3-c20d-47ee-9d4c-7b732d36fbe0"
        }
      ],
      "from": "18003004001",
      "parts": [
        {
          "kind": "plain",
          "content_type": "text/plain",
          "transfer_encoding": "identity",
          "content_encoding": "identity"
        },
        {
          "kind": "uri",
          "transfer_encoding": "identity",
          "content_encoding": "identity",
          "content_location": "brochure.txt"
        },
        {
          "kind": "uri",
          "transfer_encoding": "identity",
          "content_encoding": "identity",
          "content_location": "unnamed-1.png"
        }
      ],
      "to": [
        "17818434375"
      ],
      "inserted_at": "2026-03-20T19:53:33.795259",
      "subject": "Hello Jane",
      "headers": {},
      "expires_at": null,
      "transaction_id": "e261793b-da9a-400f-9231-22e736af4d1c"
    },
    "id": "e13b4f90-5a39-405d-a729-0f2b9bca9d60",
    "type": "mms-forward-res"
  }
}
```

### Example without placeholders

### Example request

```json
{
  "data": {
    "type": "mms-template-send-req",
    "attributes": {
      "from": "18003004001",
      "to": ["17818434375"],
      "params": {}
    }
  }
}
```

### Example response

```json
{
  "data": {
    "attributes": {
      "messages": [
        {
          "to": "17818434375",
          "message_id": "035273d3-c20d-47ee-9d4c-7b732d36fbe0"
        }
      ],
      "from": "18003004001",
      "parts": [
        {
          "kind": "plain",
          "content_type": "text/plain",
          "transfer_encoding": "identity",
          "content_encoding": "identity"
        },
        {
          "kind": "uri",
          "transfer_encoding": "identity",
          "content_encoding": "identity",
          "content_location": "unnamed-1.png"
        }
      ],
      "to": [
        "17818434375"
      ],
      "inserted_at": "2026-03-20T19:53:33.795259",
      "subject": "New deals!",
      "headers": {},
      "expires_at": null,
      "transaction_id": "e261793b-da9a-400f-9231-22e736af4d1c"
    },
    "id": "e13b4f90-5a39-405d-a729-0f2b9bca9d60",
    "type": "mms-forward-res"
  }
}
```
